## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# some tests are failing and there isn't a straightforward way to disable them
%bcond check 1
%global debug_package %{nil}

Name:           ruby-build
Version:        20250716
Release:        %autorelease
Summary:        Compile and install Ruby

License:        MIT
URL:            https://github.com/rbenv/ruby-build
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gawk
BuildRequires:  grep
%if %{with check}
BuildRequires:  bats
%endif

# ruby-build can build various ruby interpreters from source, which in turn can
# require additional dependencies
Recommends:     bzip2
Recommends:     clang
Recommends:     gdbm-devel
Recommends:     java-headless
Recommends:     libffi-devel
Recommends:     libyaml-devel
Recommends:     llvm-devel
Recommends:     make
Recommends:     ncurses-devel
Recommends:     openssl-devel
Recommends:     patch
Recommends:     perl-File-Compare
Recommends:     perl-FindBin
Recommends:     readline-devel
Recommends:     ruby
Recommends:     rubygem-rake
Recommends:     rust
Recommends:     zlib-devel

%description
ruby-build is a command-line utility that makes it easy to install virtually
any version of Ruby, from source.

%package        rbenv
Summary:        rbenv plugin to compile and install Ruby
Requires:       ruby-build = %{version}-%{release}
Requires:       rbenv

%description    rbenv
This package contains a plugin for rbenv that provides the "rbenv install"
command.

%prep
%autosetup -p1

%install
PREFIX=%{buildroot}%{_prefix} ./install.sh
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 share/man/man1/ruby-build.1

install -Ddpm0755 %{buildroot}%{_libdir}/rbenv/libexec
mv %{buildroot}%{_bindir}/rbenv-* %{buildroot}%{_libdir}/rbenv/libexec

%if %{with check}
%check
# Skip failing tests
for test in "install bundled OpenSSL on macOS"; do
  awk -i inplace '/^@test\s+"'"$test"'"\s*\{/{ print; print "  skip \"disabled failing test\""; next }1' $(grep -rl "@test \"$test\"")
done
bats test
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%files rbenv
%{_libdir}/rbenv/libexec/*

%changelog
## START: Generated by rpmautospec
* Thu Jul 17 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 20250716-2
- Drop patch merge upstream

* Wed Jul 16 2025 Packit <hello@packit.dev> - 20250716-1
- Update to 20250716 upstream release
- Resolves: rhbz#2380418

* Thu Jun 26 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 20250610-3
- Patch to allow installation of Ruby 2.7, 3.0, 3.1 on Fedora >= 42

* Wed Jun 11 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 20250610-2
- Packit: only open PR for rawhide

* Wed Jun 11 2025 Packit <hello@packit.dev> - 20250610-1
- Update to 20250610 upstream release
- Resolves: rhbz#2371632

* Thu May 29 2025 Packit <hello@packit.dev> - 20250529.1-1
- Update to 20250529.1 upstream release
- Resolves: rhbz#2364993

* Wed Apr 30 2025 Packit <hello@packit.dev> - 20250430-1
- Update to 20250430 upstream release
- Resolves: rhbz#2363194

* Thu Apr 24 2025 Packit <hello@packit.dev> - 20250424-1
- Update to 20250424 upstream release
- Resolves: rhbz#2362211

* Sat Apr 19 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 20250418-1
- Update to 20250418 - Closes rhbz#2284073
- Use manpage provided by the package
- Enable tests

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20221004-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20221004-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20221004-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20221004-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 14 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 20221004-1
- Initial import; Fixes: RHBZ#2025084
## END: Generated by rpmautospec
